Description

We request the ability to either disable the issue navigation feature or to remove the URL parameters it generates.

While the navigation icons themselves are not the issue, the resulting lengthy URLs are a significant inconvenience for our users.

A streamlined URL, such as https://redmine.com/issues/1234 is much preferred over the extended format that includes issue_count,
issue_position, next_issue_id, and prev_issue_id parameters

(https://redmine.com/issues/1234?issue_count=12345&issue_position=1234&next_issue_id=1233&prev_issue_id=1235).

A user-centric setting for this preference would be ideal, but a global system setting or another effective method would also be
acceptable.

History

#1 - 2023-12-26 10:14 - Go MAEDA

- File clipboard-202312261811-1bkow.png added

As you already know, there is no feature to disable the Previous and Next links.

Alternatively, how about using the "Copy link" button? You can copy the URL of the issue without parameters.
clipboard-202312261811-1bkow.png

#2 - 2023-12-26 18:37 - Jorge Vaz

Sorry, the previous comment #39763#note-1 is right, the requested demand is not necessary!

It's just that | operate another Redmine that is in version 3.3.3. Now with this "copy link" tool the request really doesn't make sense

| kindly ask the manager to cancel this task.

#3 - 2023-12-27 08:19 - Mischa The Evil
- Status changed from New to Closed

- Resolution set to Invalid

Jorge Vaz wrote:
(-]
While the navigation icons themselves are not the issue, the resulting lengthy URLSs are a significant inconvenience for our users.
A streamlined URL, such as https://redmine.com/issues/1234 is much preferred over the extended format that includes issue_count,

issue_position, next_issue_id, and prev_issue_id parameters
(https://redmine.com/issues/1234?issue_count=12345&issue_position=1234&next_issue_id=1233&prev_issue_id=1235).

(-]

Additionally and FWIW: on more modern Redmine versions (i.e. >4.1.x [read: as observed on redmine.org]) the Previous and Next issue links don't
seem to include any parameters other than after the first redirect after updating an issue that's included in a current query that's eligible for having
these Previous and Next links.
https://www.redmine.org/issues/39763#note-1

Regardless of the above: I'll close this issue as requested.
